Skip to content
Search
Search the documentation
OAuthAuthorizationCodeTokenRequestBody
GitHub GitHub

OAuthAuthorizationCodeTokenRequestBody

Interface: OAuthAuthorizationCodeTokenRequestBody

Defined in: v1/types/oauth.ts:99

Request body for exchanging an authorization code for an access token (Authorization Code + PKCE flow). client_secret may be omitted if sent instead as HTTP Basic authentication.

  • POST /v1/oauth2/token

See

https://datatracker.ietf.org/doc/html/rfc7636

Properties

client_id

client_id: string

Defined in: v1/types/oauth.ts:112

Your OAuth app’s client ID.


client_secret?

optional client_secret?: string

Defined in: v1/types/oauth.ts:116

Your OAuth app’s client secret. Can be sent as HTTP Basic authentication instead.


code

code: string

Defined in: v1/types/oauth.ts:104

The authorization code returned from the consent screen redirect. Single use, expires after 60 seconds.


code_verifier

code_verifier: string

Defined in: v1/types/oauth.ts:120

The PKCE code verifier corresponding to the code_challenge sent in the initial authorization request.


grant_type

grant_type: "authorization_code"

Defined in: v1/types/oauth.ts:100


redirect_uri

redirect_uri: string

Defined in: v1/types/oauth.ts:108

Must match the redirect_uri used in the initial authorization request.